org.bouncycastle.asn1.cmp

## Class CertResponse

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.cmp.CertResponse

All Implemented Interfaces:
  DEREncodable

    public class CertResponse
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Method Summary

Methods
`CertifiedKeyPair` `getCertifiedKeyPair()`
`DERInteger` `getCertReqId()`
`static CertResponse` `getInstance(java.lang.Object o)`
`PKIStatusInfo` `getStatus()`

`DERObject`

`toASN1Object()`
CertResponse ::= SEQUENCE { certReqId INTEGER, -- to match this response with corresponding request (a value -- of -1 is to be used if certReqId is not specified in the -- corresponding request) status PKIStatusInfo, certifiedKeyPair CertifiedKeyPair OPTIONAL, rspInfo OCTET STRING OPTIONAL -- analogous to the id-regInfo-utf8Pairs string defined -- for regInfo in CertReqMsg [CRMF] }

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static CertResponse getInstance(java.lang.Object o)

#### getCertReqId

    public DERInteger getCertReqId()

#### getStatus

    public PKIStatusInfo getStatus()

#### getCertifiedKeyPair

    public CertifiedKeyPair getCertifiedKeyPair()

#### toASN1Object

    public DERObject toASN1Object()

     CertResponse ::= SEQUENCE {
                                certReqId           INTEGER,
                                -- to match this response with corresponding request (a value
                                -- of -1 is to be used if certReqId is not specified in the
                                -- corresponding request)
                                status              PKIStatusInfo,
                                certifiedKeyPair    CertifiedKeyPair    OPTIONAL,
                                rspInfo             OCTET STRING        OPTIONAL
                                -- analogous to the id-regInfo-utf8Pairs string defined
                                -- for regInfo in CertReqMsg [CRMF]
                 }

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a basic ASN.1 object representation.